org.hibernate.search.engine.metadata.impl

## Class TypeMetadata

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.TypeMetadata

- Direct Known Subclasses:
    EmbeddedTypeMetadata

      public class TypeMetadata
      extends Object

  Class containing all the meta data extracted for a single type ( and all classes in its hierarchy ).
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeMetadata.Builder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeMetadata(TypeMetadata.Builder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areClassBridgesUsed()`
    `boolean` | `areStateInspectionOptimizationsEnabled()`
    `boolean` | `containsCollectionRole(String role)`
    `void` | `disableStateInspectionOptimizations()`
    `Collection<DocumentFieldMetadata>` | `getAllDocumentFieldMetadata()` Return all `DocumentFieldMetadata`.
    `Set<PropertyMetadata>` | `getAllPropertyMetadata()`
    `BridgeDefinedField` | `getBridgeDefinedFieldMetadataFor(String fieldName)`
    `float` | `getClassBoost(Object value)`
    `Set<DocumentFieldMetadata>` | `getClassBridgeMetadata()`
    `Set<SortableFieldMetadata>` | `getClassBridgeSortableFieldMetadata()`
    `LuceneOptions` | `getClassLuceneOptions(DocumentFieldMetadata fieldMetadata, float documentLevelBoost)`
    `Set<ContainedInMetadata>` | `getContainedInMetadata()`
    `ScopedAnalyzerReference` | `getDefaultAnalyzerReference()`
    `Discriminator` | `getDiscriminator()`
    `org.hibernate.annotations.common.reflection.XMember` | `getDiscriminatorGetter()`
    `DocumentFieldMetadata` | `getDocumentFieldMetadataFor(String fieldName)`
    `BoostStrategy` | `getDynamicBoost()`
    `List<EmbeddedTypeMetadata>` | `getEmbeddedTypeMetadata()`
    `FacetMetadata` | `getFacetMetadataFor(String facetFieldName)`
    `LuceneOptions` | `getFieldLuceneOptions(PropertyMetadata propertyMetadata, DocumentFieldMetadata fieldMetadata, Object value, float inheritedBoost)`
    `DocumentFieldMetadata` | `getFieldMetadataForClassBridgeField(String fieldName)`
    `PropertyMetadata` | `getIdPropertyMetadata()`
    `Collection<DocumentFieldMetadata>` | `getNonEmbeddedDocumentFieldMetadata()`
    `Collection<org.hibernate.annotations.common.reflection.XClass>` | `getOptimizationBlackList()`
    `PropertyMetadata` | `getPropertyMetadataForProperty(String propertyName)`
    `float` | `getStaticBoost()`
    `IndexedTypeIdentifier` | `getType()`
    `boolean` | `isJpaIdUsedAsDocumentId()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeMetadata

          protected TypeMetadata(TypeMetadata.Builder builder)

  - ### Method Detail

    - #### getType

          public IndexedTypeIdentifier getType()

    - #### getAllPropertyMetadata

          public Set<PropertyMetadata> getAllPropertyMetadata()

    - #### getPropertyMetadataForProperty

          public PropertyMetadata getPropertyMetadataForProperty(String propertyName)

    - #### getIdPropertyMetadata

          public PropertyMetadata getIdPropertyMetadata()

    - #### getClassBridgeMetadata

          public Set<DocumentFieldMetadata> getClassBridgeMetadata()

    - #### getClassBridgeSortableFieldMetadata

          public Set<SortableFieldMetadata> getClassBridgeSortableFieldMetadata()

    - #### getDocumentFieldMetadataFor

          public DocumentFieldMetadata getDocumentFieldMetadataFor(String fieldName)

    - #### getBridgeDefinedFieldMetadataFor

          public BridgeDefinedField getBridgeDefinedFieldMetadataFor(String fieldName)

    - #### getFacetMetadataFor

          public FacetMetadata getFacetMetadataFor(String facetFieldName)

    - #### getAllDocumentFieldMetadata

          public Collection<DocumentFieldMetadata> getAllDocumentFieldMetadata()

      Return all `DocumentFieldMetadata`. Instances are not duplicated in the collection. We use `Collection` instead of `Set` for implementation reasons.
      Returns:
        all `DocumentFieldMetadata`

    - #### getNonEmbeddedDocumentFieldMetadata

          public Collection<DocumentFieldMetadata> getNonEmbeddedDocumentFieldMetadata()

    - #### getEmbeddedTypeMetadata

          public List<EmbeddedTypeMetadata> getEmbeddedTypeMetadata()

    - #### getContainedInMetadata

          public Set<ContainedInMetadata> getContainedInMetadata()

    - #### getOptimizationBlackList

          public Collection<org.hibernate.annotations.common.reflection.XClass> getOptimizationBlackList()

    - #### containsCollectionRole

          public boolean containsCollectionRole(String role)

    - #### areClassBridgesUsed

          public boolean areClassBridgesUsed()

    - #### getFieldMetadataForClassBridgeField

          public DocumentFieldMetadata getFieldMetadataForClassBridgeField(String fieldName)

    - #### getDiscriminator

          public Discriminator getDiscriminator()

    - #### getDiscriminatorGetter

          public org.hibernate.annotations.common.reflection.XMember getDiscriminatorGetter()

    - #### areStateInspectionOptimizationsEnabled

          public boolean areStateInspectionOptimizationsEnabled()

    - #### disableStateInspectionOptimizations

          public void disableStateInspectionOptimizations()

    - #### getClassLuceneOptions

          public LuceneOptions getClassLuceneOptions(DocumentFieldMetadata fieldMetadata,
                                                     float documentLevelBoost)

    - #### getFieldLuceneOptions

          public LuceneOptions getFieldLuceneOptions(PropertyMetadata propertyMetadata,
                                                     DocumentFieldMetadata fieldMetadata,
                                                     Object value,
                                                     float inheritedBoost)

    - #### getDynamicBoost

          public BoostStrategy getDynamicBoost()

    - #### getStaticBoost

          public float getStaticBoost()

    - #### getClassBoost

          public float getClassBoost(Object value)

    - #### getDefaultAnalyzerReference

          public ScopedAnalyzerReference getDefaultAnalyzerReference()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isJpaIdUsedAsDocumentId

          public boolean isJpaIdUsedAsDocumentId()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved